edu.northwestern.at.morphadorner.corpuslinguistics.postagger.guesser

## Interface PartOfSpeechGuesser

- All Known Implementing Classes:
    AbstractPartOfSpeechGuesser, DefaultPartOfSpeechGuesser

      public interface PartOfSpeechGuesser

  Interface for a PartOfSpeechGuesser.

  A part of speech guesser "guesses" the probable part(s) of speech for a word which does not appear in the main lexicon. Alternate spellings, lexical rules based upon word prefixes or suffixes, and many other approaches may be used to find potential part of speech.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAuxiliaryWordList(TaggedStrings wordList)` Add an auxiliary word list.
    `java.util.List` | `getAuxiliaryWordLists()` Get auxiliary word lists.
    `Lexicon` | `getCachedLexiconForWord(java.lang.String word)` Get cached lexicon for a word.
    `SpellingStandardizer` | `getSpellingStandardizer()` Get spelling standardizer.
    `Lexicon` | `getSuffixLexicon()` Get the suffix lexicon.
    `Lexicon` | `getWordLexicon()` Get the word lexicon.
    `java.util.Map<java.lang.String,MutableInteger>` | `guessPartsOfSpeech(java.util.List<java.lang.String> sentence, int wordIndex)` Guesses part of speech for a word in a sentence.
    `java.util.Map<java.lang.String,MutableInteger>` | `guessPartsOfSpeech(java.lang.String word)` Guesses part of speech for a word.
    `java.util.Map<java.lang.String,MutableInteger>` | `guessPartsOfSpeech(java.lang.String word, boolean isFirstWord)` Guesses part of speech for a word.
    `void` | `setAbbreviations(Abbreviations abbreviations)` Set abbreviations.
    `void` | `setCheckPossessives(boolean checkPossessives)` Check for possessives of known nouns when guessing parts of speech.
    `void` | `setSpellingStandardizer(SpellingStandardizer spellingStandardizer)` Set spelling standardizer.
    `void` | `setSuffixLexicon(Lexicon suffixLexicon)` Set the suffix lexicon.
    `void` | `setTryStandardSpellings(boolean tryStandardSpellings)` Try using standardized spellings when guessing parts of speech.
    `void` | `setWordLexicon(Lexicon wordLexicon)` Set the word lexicon.

- - ### Method Detail

    - #### guessPartsOfSpeech

          java.util.Map<java.lang.String,MutableInteger> guessPartsOfSpeech(java.lang.String word)

      Guesses part of speech for a word.
      Parameters:
        `word` - The word.
      Returns:
        Map of part of speech tags and counts.

    - #### guessPartsOfSpeech

          java.util.Map<java.lang.String,MutableInteger> guessPartsOfSpeech(java.lang.String word,
                                                                          boolean isFirstWord)

      Guesses part of speech for a word.
      Parameters:
        `word` - The word.
        `isFirstWord` - If word is first word in a sentence.
      Returns:
        Map of part of speech tags and counts.

    - #### guessPartsOfSpeech

          java.util.Map<java.lang.String,MutableInteger> guessPartsOfSpeech(java.util.List<java.lang.String> sentence,
                                                                          int wordIndex)

      Guesses part of speech for a word in a sentence.
      Parameters:
        `sentence` - Sentence as a list of words.
        `wordIndex` - The word index in the sentence.
      Returns:
        Map of part of speech tags and counts.

    - #### getSpellingStandardizer

          SpellingStandardizer getSpellingStandardizer()

      Get spelling standardizer.
      Returns:
        The spelling standardizer.

    - #### setSpellingStandardizer

          void setSpellingStandardizer(SpellingStandardizer spellingStandardizer)

      Set spelling standardizer.
      Parameters:
        `spellingStandardizer` - The spelling standardizer.

    - #### getWordLexicon

          Lexicon getWordLexicon()

      Get the word lexicon.
      Returns:
        The word lexicon.

    - #### setWordLexicon

          void setWordLexicon(Lexicon wordLexicon)

      Set the word lexicon.
      Parameters:
        `wordLexicon` - The word lexicon.

    - #### getSuffixLexicon

          Lexicon getSuffixLexicon()

      Get the suffix lexicon.
      Returns:
        The suffix lexicon.

    - #### getCachedLexiconForWord

          Lexicon getCachedLexiconForWord(java.lang.String word)

      Get cached lexicon for a word.
      Parameters:
        `word` - The word whose source lexicon we want.
      Returns:
        The lexicon for the word.

    - #### setSuffixLexicon

          void setSuffixLexicon(Lexicon suffixLexicon)

      Set the suffix lexicon.
      Parameters:
        `suffixLexicon` - The suffix lexicon.

    - #### addAuxiliaryWordList

          void addAuxiliaryWordList(TaggedStrings wordList)

      Add an auxiliary word list.

    - #### getAuxiliaryWordLists

          java.util.List getAuxiliaryWordLists()

      Get auxiliary word lists.

    - #### setTryStandardSpellings

          void setTryStandardSpellings(boolean tryStandardSpellings)

      Try using standardized spellings when guessing parts of speech.

    - #### setCheckPossessives

          void setCheckPossessives(boolean checkPossessives)

      Check for possessives of known nouns when guessing parts of speech.

    - #### setAbbreviations

          void setAbbreviations(Abbreviations abbreviations)

      Set abbreviations.
      Parameters:
        `abbreviations` - Abbreviations.